> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/payments/request-ach-onboarding.md).

# Request ACH Onboarding

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:blue;"><strong>POST</strong></mark> </td><td>https://api.sfox.com/v1/account/onboard-ach</td></tr></tbody></table>

Initiate the process of enabling ACH transfers for a user by onboarding a user with a linked bank account to Dwolla. "Onboarding" consists of recording the user's acceptance of the [agreements](/connect/rest-api/payments/get-ach-agreement-status.md), if applicable, and creating a Dwolla profile for the user.

***

{% hint style="info" %}
The user must have a bank account linked to their sFOX account in order to initiate the request. Refer to the [Banking](/connect/rest-api/payments.md) section of this documentation for details regarding linking and managing users' bank accounts.
{% endhint %}

## Request

{% hint style="info" %}
**Authentication:** This endpoint requires a [User Auth Token](/connect/rest-api/end-users/create-user-auth-token.md) for authentication. Requests using your Connect API Key will be rejected.
{% endhint %}

### Body Parameters

<table><thead><tr><th width="306.71484375">Name</th><th width="94.7578125" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>bank_account_display_id</code></strong> <mark style="color:red;">required</mark></td><td align="center">string</td><td>The <strong><code>id</code></strong> parameter of the user's <a href="/connect/rest-api/payments/get-bank-account.md">linked bank account</a></td></tr></tbody></table>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```sh
curl -X POST \
-H "Authorization: Bearer ${USER_AUTH_TOKEN}" \
-H "Content-Type: application/json" \
-data '{"bank_account_display_id": "${BANK_ACCOUNT_DISPLAY_ID}"}'
\ "https://api.sfox.com/v1/account/onboard-ach"
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');
axios({
  method: 'post',
  url: 'https://api.sfox.com/v1/account/onboard-ach',
  headers: {
    'Authorization': 'Bearer <USER_AUTH_TOKEN>',
  },
  data: {
    bank_account_display_id: 'aksaNjjsfdbn123ksd91283n',
  }
}).then(response => {
  console.log(response);
}).catch(error => {
  console.error(err);
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.post(
    "https://api.sfox.com/v1/account/onboard-ach",
    headers = {
        "Authorization": "Bearer <USER_AUTH_TOKEN>",
        },
        data {"bank_account_display_id": "askdnasidu123Nisund",
        }
    )
print (data)
    
```

{% endtab %}
{% endtabs %}

## Response

### Responses

<details>

<summary><mark style="color:green;">200</mark> OK</summary>

<pre class="language-json"><code class="lang-json"><strong>//ACH onboarding completed successfully.
</strong><strong>{
</strong>    "data": {
        "success": true 
    }
}
</code></pre>

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/connect/rest-api/payments/request-ach-onboarding.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
